Skip to content

Create an instance

Request

Creates a new instance. Each customer account may have one or more instances, and each instance serves exactly one customer account.

This method is intended for use if you do not use FlexNet Operations as your back office, so that you can configure your upstream system (e.g. a CRM) to create instances for your accounts.

Security
AdministrationAccess
Bodyapplication/jsonrequired
shortNamestring, [ 1 .. 100 ] charactersrequired

User-defined name of the instance.

accountIdstring, non-emptyrequired

ID of the customer account owning the instance.

curl -i -X POST \
  https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shortName": "string",
    "accountId": "string"
  }'

Responses

Successfully created an instance

Bodyapplication/json
idstringread-only

The ID of the instance.

shortNamestring, [ 1 .. 100 ] charactersrequired

User-defined name of the instance.

accountIdstring, non-emptyrequired

ID of the customer account owning the instance.

defaultInstancebooleanread-only

Indicates whether this is the default instance for an account. If set to true, auto-provisioned line items will be mapped to this instance.

createdinteger, (int64)read-only

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the instance was created.

modifiedinteger, (int64)read-only

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the instance was last modified.

Response
{ "id": "string", "shortName": "string", "accountId": "string", "defaultInstance": true, "created": 0, "modified": 0 }